<?

header("Cache-Control: no-cache");
if ($ver=="wml")header ("Content-type:text/vnd.wap.wml; charset=utf-8");
else header("Content-Type:text/html; charset=UTF-8");

require("inc.php");
$link = connect_db();
list($row, $id, $ps, $fsize1, $fsize2) = check_login($link);
require("version.php");
ob_start();

switch($mod) {

case 'avatars':
if ($ver=="wml"){
echo $xml;
echo $dtd;
echo "<wml>";
echo "<card id=\"cabinet\" title=\"Аватары\">";
echo "<p>";
}else{
echo "<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Transitional//EN\" \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd\">";
echo "<html xmlns=\"http://www.w3.org/1999/xhtml\">";
echo "<head><link rel=\"stylesheet\" type=\"text/css\" href=\"css/css.css\"/>";
echo "<title>Аватары</title>";
echo "<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"/></head><body>";
echo "<div align=\"left\">";
}
$path = "avatars"; // Папка с файлами
$col = 6; 
$ras1 = ".gif"; 
$ras2 = "";
$ras3 = "";
$d=opendir("$path");
if(!$list) $list = "1";
$n = "1";
while(($k=readdir($d))!==false){ 
if ($k=='.'||$k=='..'||$k=="index.php") continue; 
$n++;
}
closedir($d);
$num=($n/$col);if ($num!==(int)$num){$foo = (int) $num;$fo = ($foo + 1);}else{$fo=$num;}
for ($i="1"; $i<=$fo; $i++) {/*echo "<a href=\"1.php?list=$i\">$i</a>|";*/}
if ($list == "") {$c="0";}else{$c=($col*($list-1));}
$d=opendir("$path");
$la = "-1";
echo $fsize1; 
echo "Аватар для <b>".$row["user"]."</b><br/>";
echo $divide;
echo "Вы можете установить любой из этих аватаров в качестве личного в анкете, просто щелкните на понравившейся картинке.<br/>";
echo $divide;
echo $fsize2; 
while(($e=readdir($d))!==false){ 
if ($e=='.'||$e=='..') continue;
$la = $la + 1;
if($la>$c-1 and $la<$c+$col){
$e1 = str_replace("$ras1","",$e);
$e1 = str_replace("$ras2","",$e1);
$e1 = str_replace("$ras3","",$e1);
//if($par[2]==1)$foto="$id.gif"; //Загрузка фото в формате gif
//if($par[2]==2)$foto="$id.jpg"; //Загрузка фото в формате jpg
//if($par[2]==3)$foto="$id.png"; //Загрузка фото в формате png
if ($mode == "1"){$ee = strtr($e1,$tran);}else{$ee = $e1;}
$laa = $la + 1; // Номер файла
echo "<a href=\"select.php?mod=addavatars&amp;$ses&amp;num=$e1\"><img src=\"fr4.php?a=$e1\" alt=\"$e1\"/></a><br/> ";
}
}
for ($i="0"; $i<=$fo; $i++) 
if ($list == "$path") {
$c="0";
}else{
$c=($col*($list-1));
}
$lis = $list + 1;
$lis1 = $list - 1;
echo "<br/>";
if ($lis1 < "1"){
echo $fsize1; 
echo "&lt;&lt;пред.";
echo $fsize2; 
}else{
echo $fsize1; 
echo "<a href=\"select.php?list=$lis1&amp;$ses&amp;mod=avatars\">&lt;&lt;пред. </a>";
echo $fsize2; 
}
if ($lis == "$i"){
echo $fsize1; 
echo "| след.&gt;&gt;<br/>";
echo $fsize2; 
}else{
echo $fsize1;
echo "| <a href=\"select.php?list=$lis&amp;$ses&amp;mod=avatars\">след.&gt;&gt;</a><br/>";
echo $fsize2;
}
if ($ver!="wml") echo "<form method=\"POST\" action=\"select.php?$ses&amp;mod=avatars&amp;ref=$ref\" name=\"auth\">\n";
echo $fsize1;
echo "Перейти к:<br/>";
echo $fsize2;
echo "<input name=\"list\" format=\"*N\" size=\"3\"/><br/>";
echo $fsize1;
echo "странице<br/>";
echo $fsize2;
if ($ver=="wml"){
echo $fsize1;
echo "<anchor title=\"go\">Пошёл<go href=\"select.php?$ses&amp;&amp;mod=avatars&amp;ref=$ref\" method=\"post\">";
echo "<postfield name=\"list\" value=\"$(list)\"/>";
echo "</go></anchor>";
echo $fsize2;
echo "<br/>";
}else{
echo "<input type=\"submit\" value=\"Пошёл\" name=\"enter\"><br/>\n";
}
$allpage = $i - 1;
echo "<br/>";
echo $fsize1; 
echo $divide;
echo "Аватаров:<b> $n</b><br/>Страницa:<b> $list/$allpage</b><br/>";
echo $fsize2; 
closedir($d);
break;

case 'addavatars':
if ($ver=="wml"){
echo $xml;
echo $dtd;
echo "<wml>";
echo "<card id=\"cabinet\" title=\"Аватары\">";
echo "<p align=\"center\">";
}else{
echo "<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Transitional//EN\" \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd\">";
echo "<html xmlns=\"http://www.w3.org/1999/xhtml\">";
echo "<head><link rel=\"stylesheet\" type=\"text/css\" href=\"css/css.css\"/>";
echo "<title>Аватары</title>";
echo "<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"/></head><body>";
echo "<div align=\"center\">";
}
if (($num>=0)&&($num<=270)&&($num!="")){
$foto=$id.".gif";
if (file_exists ("avatars/$foto")){unlink ("avatars/$foto");}
@Copy("avatars/$num.gif", "loadavatars/".basename($foto));
if (!ctype_digit($id)) { header("Location: index.php"); die; }
@mysql_query ("Update users set myavatar='".$foto."' where id ='".$id."'"); 
echo $fsize1; 
echo "<b>Ваш Аватар успешно установлен!</b><br/>";
echo $fsize2; 
echo "<img src=\"fr4.php?usid=$id\" alt=\"avatar\"/><br/>";
} else {
echo $fsize1; 
echo "<b>Произошла ошибка при установке аватора!</b><br/>";
echo $fsize2; 
}
break;

case 'smile':
if ($ver=="wml"){
echo $xml;
echo $dtd;
echo "<wml>";
echo "<card id=\"cabinet\" title=\"Личный смайл\">";
echo "<p>";
}else{
echo "<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Transitional//EN\" \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd\">";
echo "<html xmlns=\"http://www.w3.org/1999/xhtml\">";
echo "<head><link rel=\"stylesheet\" type=\"text/css\" href=\"css/css.css\"/>";
echo "<title>Личный смайл</title>";
echo "<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"/></head><body>";
echo "<div align=\"left\">";
}
$path = "mysmile"; // Папка с файлами
$col = 6; 
$ras1 = ".gif"; 
$ras2 = ".jpg";
$ras3 = ".png";
$d=opendir("$path");
if(!$list) $list = "1";
$n = "1";
while(($k=readdir($d))!==false){ 
if ($k=='.'||$k=='..'||$k=="index.php") continue; 
$n++;
}
closedir($d);
$num=($n/$col);if ($num!==(int)$num){$foo = (int) $num;$fo = ($foo + 1);}else{$fo=$num;}
for ($i="1"; $i<=$fo; $i++) {/*echo "<a href=\"1.php?list=$i\">$i</a>|";*/}
if ($list == "") {$c="0";}else{$c=($col*($list-1));}
$d=opendir("$path");
$la = "-1";
echo $fsize1;
echo "Смайл для <b>".$row["user"]."</b><br/>";
echo $divide;
echo "Вы можете установить любой из этих смайлов в качестве личного смайла, просто щелкните на понравившейся картинке!<br/>";
echo "Вывод личного смайла происходит по набору команды .my.<br/>";
echo $divide;
echo $fsize2; 
while(($e=readdir($d))!==false){ 
if ($e=='.'||$e=='..') continue;
$la = $la + 1;
if($la>$c-1 and $la<$c+$col){
$e1 = str_replace("$ras1","",$e);
$e1 = str_replace("$ras2","",$e1);
$e1 = str_replace("$ras3","",$e1);
if ($mode == "1"){$ee = strtr($e1,$tran);}else{$ee = $e1;}
$laa = $la + 1; // Номер файла
print "<a href=\"select.php?mod=addsmiles&amp;$ses&amp;num=$e1\"><img src=\"fr5.php?a=$e1\" alt=\"$e1\"/></a><br/> ";
}
}
for ($i="0"; $i<=$fo; $i++) 
if ($list == "") {
$c="0";
}else{
$c=($col*($list-1));
}
$lis = $list + 1;
$lis1 = $list - 1;
print "<br/>";
if ($lis1 < "1"){
print $fsize1; 
print "&lt;&lt;пред.";
print $fsize2; 
}else{
print $fsize1; 
print "<a href=\"select.php?list=$lis1&amp;$ses&amp;mod=smile\">&lt;&lt;пред.</a>";
print $fsize2; 
}
if ($lis == "$i"){
print $fsize1; 
print "| след.&gt;&gt;<br/>";
print $fsize2; 
}else{
print $fsize1; 
print "| <a href=\"select.php?list=$lis&amp;$ses&amp;mod=smile\">след.&gt;&gt;</a><br/>";
print $fsize2; 
}
if ($ver!="wml") echo "<form method=\"POST\" action=\"select.php?$ses&amp;mod=smile&amp;ref=$ref\" name=\"auth\">\n";
print $fsize1;
print "Перейти к:<br/>";
print $fsize2;
print "<input name=\"list\" format=\"*N\" size=\"3\"/><br/>";
print $fsize1;
print "странице<br/>";
print $fsize2;
if ($ver=="wml"){
echo $fsize1;
echo "<anchor title=\"go\">Пошёл<go href=\"select.php?$ses&amp;mod=smile&amp;ref=$ref\" method=\"post\">";
echo "<postfield name=\"list\" value=\"$(list)\"/>";
echo "</go></anchor>";
echo $fsize2;
echo "<br/>";
}else{
echo "<input type=\"submit\" value=\"Пошёл\" name=\"enter\"><br/>\n";
}
$allpage = $i - 1;
print "<br/>";
print $fsize1; 
print $divide; 
print "Смайлов:<b> $n</b><br/>Страницa:<b> $list/$allpage</b><br/>";
print $fsize2; 
closedir($d);
break;

case 'addsmiles':
if ($ver=="wml"){
echo $xml;
echo $dtd;
echo "<wml>";
echo "<card id=\"cabinet\" title=\"Личный смайл\">";
echo "<p align=\"center\">";
}else{
echo "<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Transitional//EN\" \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd\">";
echo "<html xmlns=\"http://www.w3.org/1999/xhtml\">";
echo "<head><link rel=\"stylesheet\" type=\"text/css\" href=\"css/css.css\"/>";
echo "<title>Личный смайл</title>";
echo "<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"/></head><body>";
echo "<div align=\"center\">";
}
if (($num>=0)&&($num<=270)&&($num!="")){
$foto=$id.".gif";
if (file_exists ("mysmile/$foto")){unlink ("mysmile/$foto");}
@Copy("mysmile/$num.gif", "loadsmile/".basename($foto)); 
@mysql_query ("Update users set mysmile='".$foto."' where id ='".$id."'");
echo $fsize1;
echo "<b>Ваш Смайл успешно установлен!</b><br/>";
echo $fsize2;
echo "<img src=\"fr5.php?usid=$id\" alt=\"smiles\"/><br/>";
} else {
echo $fsize1;
echo "<b>Произошла ошибка при установке личного смайла!</b><br/>";
echo $fsize2;
}
break;

}
echo $fsize1; 
echo $divide;
if (isset ($rm))echo "<a href=\"chat.php?$ses&amp;rm=$rm\">В чат</a><br/>\n"; 
echo "<a href=\"cabinet.php?$ses&amp;ref=$ref\">Личный кабинет</a><br/>";
echo "<a href=\"enter.php?$ses&amp;ref=$ref\">Прихожая</a><br/>\n"; 
echo $fsize2; 
if ($ver=="wml")echo "</p></card></wml>";
else echo "</div></body></html>"; 
$alltraf=$row["alltraf"];
$pagesize=round((ob_get_length())/1024,1);
$alltraf=$alltraf+$pagesize;
mysql_query ("Update users set alltraf='".$alltraf."', lasttraf='".$pagesize."' where id='".$id."'");
mysql_close ($link);
ob_end_flush();
?>